curl --request POST \
--url https://{defaultHost}/v1/reviews \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"review": {
"title": "Useful Product",
"body": "Easy to use",
"stars": 4.5,
"product": "70644a49-d528-449a-98af-9f3b36231eba",
"customer": "4826a902-3f61-4a33-b9b0-bbf8724f36cd"
}
}
'import requests
url = "https://{defaultHost}/v1/reviews"
payload = { "review": {
"title": "Useful Product",
"body": "Easy to use",
"stars": 4.5,
"product": "70644a49-d528-449a-98af-9f3b36231eba",
"customer": "4826a902-3f61-4a33-b9b0-bbf8724f36cd"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
review: {
title: 'Useful Product',
body: JSON.stringify('Easy to use'),
stars: 4.5,
product: '70644a49-d528-449a-98af-9f3b36231eba',
customer: '4826a902-3f61-4a33-b9b0-bbf8724f36cd'
}
})
};
fetch('https://{defaultHost}/v1/reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "a7a82166-5c04-496a-a9ff-2f34ad08c48f",
"object": "review",
"body": "Easy to use",
"status": "in_review",
"title": "Useful Product",
"stars": 4.5,
"verified": false,
"customer": "4826a902-3f61-4a33-b9b0-bbf8724f36cd",
"product": "70644a49-d528-449a-98af-9f3b36231eba",
"purchase": null,
"created_at": 1782485897,
"updated_at": 1782485897
}Create
Creates a new review.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Show child attributes
Show child attributes
Response
Success
The UUID of the specific object.
A string describing the object type returned.
The title of the review.
The content/body of the review.
The numerical rating provided in the review. Can be a decimal from 1.0 to 5.0.
The status of the review (e.g. in_review, published, unpublished).
Indicates whether the reviewer has purchased the product (based on presence of a purchase).
Expandable – The associated customer ID.
Expandable – The associated product ID.
Expandable – The associated purchase ID.
Expandable – Property not returned unless expanded.
Time at which the object was discarded. Measured in seconds since the Unix epoch.
Time at which the object was created. Measured in seconds since the Unix epoch.
Time at which the object was last updated. Measured in seconds since the Unix epoch.
Was this page helpful?